# PODNAME: Config::Model::models::LCDd::hd44780
# ABSTRACT:  Configuration class LCDd::hd44780

=encoding utf8

=head1 NAME

Config::Model::models::LCDd::hd44780 - Configuration class LCDd::hd44780

=head1 DESCRIPTION

Configuration classes used by L<Config::Model>

generated from LCDd.conf

=head1 Elements

=head2 Backlight

If you have a switchable backlight. I< Optional. Type uniline.  > 

=over 4

=item default value :

no

=back



=head2 Brightness

Set brightness of the backlight (lcd2usb and usb4all):
Brightness is the brightness while the backlight is set to 'on'. I< Optional. Type integer.  > 

=over 4

=item upstream_default value :

800

=back



=head2 CharMap

Character map to to map ISO-8859-1 to the LCD's character set

(hd44780_koi8_r, hd44780_cp1251, hd44780_8859_5 and upd16314 are possible if
compiled with additional charmaps) I< Optional. Type enum. choice: 'hd44780_default', 'hd44780_euro', 'ea_ks0073', 'sed1278f_0b', 'hd44780_koi8_r', 'hd44780_cp1251', 'hd44780_8859_5', 'upd16314'.  > 

=over 4

=item upstream_default value :

hd44780_default

=back



=head2 ConnectionType

Select what type of connection. See documentation for available types. I< Optional. Type uniline.  > 

=over 4

=item default value :

4bit

=back



=head2 Contrast

Set the initial contrast (bwctusb, lcd2usb, and usb4all) I< Optional. Type integer.  > 

=over 4

=item upstream_default value :

800

=back



=head2 DelayBus

You can reduce the inserted delays by setting this to false.
On fast PCs it is possible your LCD does not respond correctly.
Default: true. I< Optional. Type uniline.  > 

=over 4

=item default value :

true

=back



=head2 DelayMult

If your display is slow and cannot keep up with the flow of data from
LCDd, garbage can appear on the LCDd. Set this delay factor to 2 or 4
to increase the delays. Default: 1. I< Optional. Type uniline.  > 

=over 4

=item upstream_default value :

2

=back



=head2 Device

Device of the serial, I2C, or SPI interface I< Optional. Type uniline.  > 

=over 4

=item upstream_default value :

/dev/lcd

=back



=head2 ExtendedMode

If you have an HD66712, a KS0073 or another controller with 'extended mode',
set this flag to get into 4-line mode. On displays with just two lines, do
not set this flag.
As an additional restriction, controllers with and without extended mode
AND 4 lines cannot be mixed for those connection types that support more
than one display! I< Optional. Type uniline.  > 

=over 4

=item upstream_default value :

yes

=back



=head2 KeepAliveDisplay

Some displays (e.g. vdr-wakeup) need a message from the driver to that it
is still alive. When set to a value bigger then null the character in the
upper left corner is updated every <KeepAliveDisplay> seconds. Default: 0. I< Optional. Type uniline.  > 

=over 4

=item upstream_default value :

0

=back



=head2 KeyMatrix_4_1

If you have a keypad you can assign keystrings to the keys.
See documentation for used terms and how to wire it.
For example to give directly connected key 4 the string "Enter", use:
  KeyDirect_4=Enter
For matrix keys use the X and Y coordinates of the key:
  KeyMatrix_1_3=Enter. I< Optional. Type uniline.  > 

=over 4

=item default value :

Enter

=back



=head2 KeyMatrix_4_2

I< Optional. Type uniline.  > 

=over 4

=item default value :

Up

=back



=head2 KeyMatrix_4_3

I< Optional. Type uniline.  > 

=over 4

=item default value :

Down

=back



=head2 KeyMatrix_4_4

I< Optional. Type uniline.  > 

=over 4

=item default value :

Escape

=back



=head2 Keypad

If you have a keypad connected.
You may also need to configure the keypad layout further on in this file. I< Optional. Type uniline.  > 

=over 4

=item default value :

no

=back



=head2 Lastline

Specifies if the last line is pixel addressable (yes) or it controls an
underline effect (no). I< Optional. Type boolean.  > 

=over 4

=item upstream_default value :

yes

=back



=head2 LineAddress

In extended mode, on some controllers like the ST7036 (in 3 line mode)
the next line in DDRAM won't start 0x20 higher. I< Optional. Type uniline.  > 

=over 4

=item upstream_default value :

0x20

=back



=head2 OffBrightness

OffBrightness is the brightness while the backlight is set to 'off'. I< Optional. Type integer.  > 

=over 4

=item upstream_default value :

300

=back



=head2 OutputPort

If you have the additional output port ("bargraph") and you want to
be able to control it with the lcdproc OUTPUT command. I< Optional. Type uniline.  > 

=over 4

=item default value :

no

=back



=head2 Port

I/O address of the LPT port. Usual values are: 0x278, 0x378 and 0x3BC.
For I2C connections this sets the slave address (usually 0x20). I< Optional. Type uniline.  > 

=over 4

=item default value :

0x378

=back



=head2 RefreshDisplay

If you experience occasional garbage on your display you can use this
option as workaround. If set to a value bigger than null it forces a
full screen refresh <RefreshDiplay> seconds. Default: 0. I< Optional. Type uniline.  > 

=over 4

=item upstream_default value :

5

=back



=head2 Size

Specifies the size of the LCD.
In case of multiple combined displays, this should be the total size. I< Optional. Type uniline.  > 

=over 4

=item default value :

20x4

=back



=head2 Speed

Bitrate of the serial port (0 for interface default) I< Optional. Type uniline.  > 

=over 4

=item default value :

0

=back



=head2 vspan

For multiple combined displays: how many lines does each display have.
Vspan=2,2 means both displays have 2 lines. I< Optional. Type uniline.  > 

=over 4

=item upstream_default value :

2,2

=back



=head1 SEE ALSO

=over

=item *

L<cme>

=back

=cut

